function TestMaxFreqeuncies()
global sharedData

sharedData.numRec = 0;
sharedData.numRecIMU = 0;
sharedData.numRecBat = 0;
sharedData.numMaxRec = 50;%1e3;
sharedData.timeElapsed = 0;
sharedData.dataFle11 = [];

gloveObj = serial('/dev/ttyACM0', 'BaudRate', 115200);
gloveObj.Terminator = 'LF';
gloveObj.BytesAvailableFcnMode = 'Terminator';
gloveObj.BytesAvailableFcn =@serialGetData;


fopen(gloveObj);
tic
while sharedData.numRec < sharedData.numMaxRec
    pause(0.01);
end

fclose(gloveObj);
clear gloveObj
 
%disp(['Num received: ' num2str(sharedData.numRec)]);
disp(['Freq. fle11: ' num2str(sharedData.numRec/sharedData.timeElapsed) ' Hz']);
%noise
disp(['Noise test fle11: ' num2str(mean(sharedData.dataFle11)) ' +/- ' num2str(std(sharedData.dataFle11))]);

disp(['Freq. acc01: ' num2str(sharedData.numRecIMU/sharedData.timeElapsed) ' Hz']);
disp(['Freq. bat: ' num2str(sharedData.numRecBat/sharedData.timeElapsed) ' Hz']);


end

function serialGetData(s,event)
global sharedData

% keyboard
        
      try
        strVal = fscanf(s);
        type = strVal(1:3);
        number = str2num(strVal(4:5));
        value =  str2num(strVal(7:end));
        
        if strcmp(type,'fle') && number == 11
            sharedData.numRec = sharedData.numRec + 1;
            if sharedData.numRec >= sharedData.numMaxRec
                sharedData.timeElapsed = toc;
            end
            sharedData.dataFle11 = [sharedData.dataFle11; value];
        end
       
        
        if strcmp(type,'acc') && number == 01
            sharedData.numRecIMU = sharedData.numRecIMU + 1;
        end
        if strcmp(type,'bat')
            sharedData.numRecBat = sharedData.numRecBat + 1;
        end

      catch err
        %err 
        %keyboard
      end
end 