

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import sensorGlove.GloveBT;
import sensorGlove.GloveBT.IncomingData;

public class Test {

	static class GloveListener implements PropertyChangeListener{
		int counter = 0;
		@Override
		public void propertyChange(PropertyChangeEvent evt) {
			
			//System.out.println(counter);
			
			counter++;
			//int[] values = (int[])evt.getNewValue();
			IncomingData recordings = (IncomingData)evt.getNewValue();
			
//			System.out.println("acc "+ recordings.getImuACCValues());
//			System.out.println("gyro "+ recordings.getImuGYROValues());
//			System.out.println("magn "+ recordings.getImuMAGNValues());
			
			int[] accValues = recordings.getImuACCValues();
			System.out.println("accelerations x:" + accValues[0] + " y:" + accValues[1] + " z:" + accValues[2]);
			
//			int[] flexValues = recordings.getFlexValues();
//			System.out.println("flex11/12 " + flexValues[0] + " " + flexValues[1]);
//			System.out.println("flex21/22 " + flexValues[2] + " " + flexValues[3]);
//			System.out.println("flex31/32 " + flexValues[4] + " " + flexValues[5]);
//			System.out.println("flex41/42 " + flexValues[6] + " " + flexValues[7]);
//			System.out.println("flex51/52 " + flexValues[8] + " " + flexValues[9]);
			
			//System.out.println("bat "+ recordings.getBatteryChargeLevel());
			//System.out.println("time "+ recordings.getTimeInMillisceonds());
			
			
		}
		
	}
	
	
	public static void main(String[] args) {
		GloveBT glove = new GloveBT("/dev/ttyS100");
		
		
		glove.addPropertyChangeListener(new Test.GloveListener());
		
		glove.open();
		
		System.out.println("main finished");

		try {
			Thread.sleep(10000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		
		System.out.println("feedback start");
		int[] vibMotorValues = new int[5];
		vibMotorValues[0]=255;
		
		glove.setMotorValues(vibMotorValues);
		try {
			Thread.sleep(2000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		System.out.println("feedback stop");
		vibMotorValues[0]=0;
		glove.setMotorValues(vibMotorValues);
		
		glove.close();
		System.out.println("OVER");
		
	}

}
